Subject: ssh freezes when used over slow connection (e.g. modem)

From: Tomas Vinar <[email-masked]>
Date: Sun, 24 Nov 2002 23:39:10 -0500

Package: ssh
Version: 1:3.4p1-1
Severity: normal

When I use ssh to connect to a servers through the modem-line it freezes
(no input is accepted and no output is generated) whenever larger amounts 
of data are to be transferred in short time. Typical "freezing points":
- paste a few paragraphs of text
- ls on directory with many files
- running program which generates plenty of output (e.g. latex) on
  the remote computer 
- listing backwards through e-mails in pine

Comparison to other packages
- never happened until upgraded to Woody from Potato
- does also happen with ssh2 package (but less often)
- does not happen with e.g. telnet
- never happened on machines comunicating over faster connections (e.g. LAN)

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux pstros 2.4.18-k6 #1 Sun Apr 14 12:43:22 EST 2002 i586
Locale: LANG=C, LC_CTYPE=C

Versions of packages ssh depends on:
ii  adduser                 3.47             Add and remove users and groups
ii  debconf                 1.0.32           Debian configuration management sy
ii  libc6                   2.2.5-11.2       GNU C Library: Shared libraries an
ii  libpam-modules          0.72-35          Pluggable Authentication Modules f
ii  libpam0g                0.72-35          Pluggable Authentication Modules l
ii  libssl0.9.6             0.9.6c-2.woody.1 SSL shared libraries
ii  libwrap0                7.6-9            Wietse Venema's TCP wrappers libra
ii  zlib1g                  1:1.1.4-1        compression library - runtime